#ifndef PROJ_H
#define PROJ_H

typedef struct projectile {
    cube_0* pos;
    pt_2d* vel;
    pt_2d* acc;
    double* ttl;
    int damage;
} projectile ;

void init_proj();
void free_proj();

void resetProj();
void appendProj(double x, double y, double z, double w, double h, double d, double vx, double vy, double vz, double ax, double ay, double az, int red, int green, int blue, int dmg, double ttl);
void removeProj(int k);
void gl_renderProj();
void updateProj(float dtime);

#endif